Last Comment Bug 654423 - Intermittent TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug630102.js | application timed out
: Intermittent TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/brows...
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All Windows XP
: -- normal
: Firefox 7
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-03 06:00 PDT by Mike Hommey [:glandium]
Modified: 2016-04-12 14:00 PDT (History)
5 users (show)
ehsan: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (3.62 KB, patch)
2011-05-03 12:12 PDT, Tim Taubert [:ttaubert]
ehsan: review+
Details | Diff | Splinter Review
patch for checkin (3.93 KB, patch)
2011-05-03 15:37 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-05-03 06:00:25 PDT
TEST-START | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug630102.js
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug630102.js | application timed out after 330 seconds with no output
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1304420117.1304421438.20710.gz
Comment 1 Tim Taubert [:ttaubert] 2011-05-03 12:12:11 PDT
Created attachment 529800 [details] [diff] [review]
patch v1
Comment 2 :Ehsan Akhgari 2011-05-03 14:17:37 PDT
So, what is the fix here?  I can't figure out which problem you're trying to fix here, and how...
Comment 3 Tim Taubert [:ttaubert] 2011-05-03 14:24:39 PDT
(In reply to comment #2)
> So, what is the fix here?  I can't figure out which problem you're trying to
> fix here, and how...

Sorry, I should have explained that a bit:

>  window.addEventListener("tabviewshown", partOne, false);
>  TabView.toggle();

That is the part that should start the test but doesn't if tabview is still or already shown. So I replaced all of these occurrences with the head.js functions showTabView() and hideTabView() that are more robust and just continue if the tabview is already shown/hidden.

The rest is just cleanup according to our current style of writing tests.
Comment 4 Tim Taubert [:ttaubert] 2011-05-03 15:34:28 PDT
Comment on attachment 529800 [details] [diff] [review]
patch v1

Passed try:

http://tbpl.mozilla.org/?tree=Try&pusher=tim.taubert@gmx.de&rev=a69993664cb1
Comment 5 Tim Taubert [:ttaubert] 2011-05-03 15:37:23 PDT
Created attachment 529857 [details] [diff] [review]
patch for checkin
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2011-05-05 13:35:23 PDT
http://hg.mozilla.org/mozilla-central/rev/de21696c8853
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2011-05-05 14:49:16 PDT
Backed out from m-c on suspicion of causing browser/base/content/test/tabview/browser_tabview_bug597248.js test timeout permaorange.
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2011-06-09 11:57:09 PDT
Backed out due to mochitest-other orange.
Comment 12 Virgil Dicu [:virgil] [QA] 2011-08-31 04:44:40 PDT
Verified fixed based on results in:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1314762663.1314767018.2727.gz&fulltext=1

Note You need to log in before you can comment on or make changes to this bug.